PelekaPeleka Developers
API ReferenceWebhooks

Update a webhook subscription's URL or subscribed events

PATCH
/api/v1/webhooks/{id}
X-API-Key<token>

In: header

Path Parameters

id*string

Webhook UUID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v1/webhooks/string" \  -H "Content-Type: application/json" \  -d '{    "events": [      [        "contact.created",        "broadcast.sent"      ]    ]  }'
{  "data": {    "id": "550e8400-e29b-41d4-a716-446655440000",    "workspaceId": "550e8400-e29b-41d4-a716-446655440000",    "url": "https://example.com/webhooks/peleka",    "events": [      "contact.created",      "broadcast.sent"    ],    "isActive": true,    "consecutiveFailures": 0,    "lastSuccessAt": "2026-01-01T00:00:00.000Z",    "lastFailureAt": null,    "createdAt": "2026-01-01T00:00:00.000Z",    "updatedAt": "2026-01-01T00:00:00.000Z"  }}